VS 2017 + Xamarin.iOS + Catalina

IsaacEckertIsaacEckert USMember, Beta ✭✭

Is there any hope of me getting VS2017 to pair with my MacBook running Catalina?

Unfortunately, I thought it would be a good idea to update all the software on my Mac before attempting to pair with VS 2017 for mobile development.

The pairing utility fails while trying to install the required packages. VS 2017 claims it needs Xamarin.iOS 12.4. I tried to install it manually but the package says it is not compatible with the version of macOS.

I tried downloading and installing Visual Studio for Mac. This installed newer versions of mono and Xamarin.iOS that VS 2017 doesn't like. I had to uninstall VS for Mac and manually reinstall mono.

I found a download link for Xamarin.iOS 12.16.1.17. This installed but VS 2017 didn't like that version either.

I am stuck; VS 2017 claims newer versions of Xamarin.iOS are incompatible and I am unable to install the version that would make it happy.

Tagged:

Answers

  • JohnHJohnH GBMember ✭✭✭✭✭
    I believe you will need to move to VS2019 on Windows, VS2017 isn’t being updated afaik.
Sign In or Register to comment.